#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "CollectionsCampaignViewData.generated.h"

USTRUCT(BlueprintType)
struct FCollectionsCampaignViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString CampaignId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FSoftObjectPath> VideosUri;

public:
	DBDUIVIEWINTERFACES_API FCollectionsCampaignViewData();
};

FORCEINLINE uint32 GetTypeHash(const FCollectionsCampaignViewData) { return 0; }
